### Method

# Gcr ImportInteraction supplement_finish

#### Declaration [src]

    GTlsInteractionResult
    gcr_import_interaction_supplement_finish (
      GcrImportInteraction* interaction,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete operation to asynchronously supplement attributes before import.

If the user or cancellable cancels the operation the error should be set with `G_IO_ERROR_CANCELLED`.

#### Parameters

`result`

  Type: `GAsyncResult`

  The asynchronous result.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GTlsInteractionResult`

`G_TLS_INTERACTION_HANDLED` if successful or `G_TLS_INTERACTION_FAILED`.